# Copyright (c) 1995-1999 Nick Ing-Simmons. All rights reserved.
# This program is free software; you can redistribute it and/or
# modify it under the same terms as Perl itself.
require Tk;
package Tk::ROTextANSIColor;
require Tk::Text;

use vars qw($VERSION);
$VERSION = '3.023'; # $Id: ROTextANSIColor.pm,v 1.1.1.1 2000/09/23 17:30:52 yanick Exp $

use base  qw(Tk::TextANSIColor);
Construct Tk::Widget 'ROTextANSIColor';

sub clipEvents
{
 return qw[Copy];
}

sub ClassInit
{
 my ($class,$mw) = @_;
 my $val = $class->bindRdOnly($mw);
 my $cb  = $mw->bind($class,'<Next>');
 $mw->bind($class,'<space>',$cb) if (defined $cb);
 $cb  = $mw->bind($class,'<Prior>');
 $mw->bind($class,'<BackSpace>',$cb) if (defined $cb);
 $class->clipboardOperations($mw,'Copy');
 return $val;
}

sub Tk::Widget::ScrlROTextANSIColor { shift->Scrolled('ROTextANSIColor' => @_) }

1;

__END__

